#
# Flatpak programs; as a method of last resort.
#
{ ... }:
{

  services.flatpak.packages = [
    {
      appId = "org.kde.kitinerary-workbench";
      origin = "kitinerary";
    }
    {
      appId = "com.github.vikdevelop.photopea_app";
      origin = "flathub";
    }
    {
      appId = "io.emeric.toolblex";
      origin = "flathub";
    }
    {
      appId = "com.super_productivity.SuperProductivity";
      origin = "flathub";
    }
  ];

  services.flatpak.overrides = {

    # Try to use Wayland whenever possible.
    global = {
      Context.sockets = [ "wayland" ];
      Environment.ELECTRON_ELECTRON_OZONE_PLATFORM_HINT = "wayland";
    };

  };
}
